import { Evaluated, IActionContribution } from '../contributions';
import { PlatformContextProps } from './platform-context';
import { IExtensionsControllerProps } from './extension-controller';
import * as H from 'history';
export interface IActionItemAction {
    /**
     * The action specified in the menu item's {@link module:cdeops.module/protocol.MenuItemContribution#actionActionItem}
     * property.
     */
    action: Evaluated<IActionContribution>;
    /**
     * The alternative action specified in the menu item's
     * {@link module:cdeops.module/protocol.MenuItemContribution#alt} property.
     */
    altAction?: Evaluated<IActionContribution>;
}
export interface IActionItemComponentProps extends IExtensionsControllerProps<'executeCommand'>, PlatformContextProps<'settings'> {
    location: H.Location;
    iconClassName?: string;
}
